<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CustomExam_List.aspx.cs" Inherits="RM.Web.Training.ExamPlan.CustomExam_List" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CustomExam_List_Title")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CustomExam_List_Title")%>
         
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=TableHtml %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
    <script type="text/javascript">
        $(function () {
            //把分页定位到屏幕下面
            divresize(90);
            FixedTableHeader("#table1", $(window).height() - 121);
        })
        //添加
        function add() {
            var url = "/Training/ExamPlan/CustomExam_Form.aspx";
            top.openDialog(url, 'CustomExam_Form_Add', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CustomExam_List_Base")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 750, 360, 50, 50);
        }
        //编辑
        function edit() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Training/ExamPlan/CustomExam_Form.aspx?key=" + key;
                top.openDialog(url, 'CustomExam_Form_Edit', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CustomExam_List_Base")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 750, 360, 50, 50);
            }
        }
        //删除
        function Delete() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CustomExam_List_Base")%>&tableName=TKS_CustomExam&pkName=CustomExam_ID&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm)
            }
        } 
    </script>
</body>
</html>